Package org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated

## Class JSONLDParserBenchmark_parseStream_jmhTest

- java.lang.Object
- - org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.JSONLDParserBenchmark_parseStream_jmhTest

-     public final class JSONLDParserBenchmark_parseStream_jmhTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JSONLDParserBenchmark_parseStream_jmhTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `parseStream_AverageTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `parseStream_avgt_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, JSONLDParserBenchmark_jmhType l_jsonldparserbenchmark0_G)` |
    `static void` | `parseStream_sample_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, org.openjdk.jmh.util.SampleBuffer buffer, int targetSamples, long opsPerInv, int batchSize, JSONLDParserBenchmark_jmhType l_jsonldparserbenchmark0_G)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `parseStream_SampleTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `parseStream_SingleShotTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `parseStream_ss_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, int batchSize, JSONLDParserBenchmark_jmhType l_jsonldparserbenchmark0_G)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `parseStream_Throughput​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `parseStream_thrpt_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, JSONLDParserBenchmark_jmhType l_jsonldparserbenchmark0_G)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JSONLDParserBenchmark_parseStream_jmhTest

          public JSONLDParserBenchmark_parseStream_jmhTest()

  - ### Method Detail

    - #### parseStream_Throughput

          public org.openjdk.jmh.results.BenchmarkTaskResult parseStream_Throughput​(org.openjdk.jmh.runner.InfraControl control,
                                                                                    org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                             throws Throwable

      Throws:
        `Throwable`

    - #### parseStream_thrpt_jmhStub

          public static void parseStream_thrpt_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                       org.openjdk.jmh.results.RawResults result,
                                                       org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                       org.openjdk.jmh.infra.IterationParams iterationParams,
                                                       org.openjdk.jmh.infra.ThreadParams threadParams,
                                                       org.openjdk.jmh.infra.Blackhole blackhole,
                                                       org.openjdk.jmh.infra.Control notifyControl,
                                                       int startRndMask,
                                                       JSONLDParserBenchmark_jmhType l_jsonldparserbenchmark0_G)
                                                throws Throwable

      Throws:
        `Throwable`

    - #### parseStream_AverageTime

          public org.openjdk.jmh.results.BenchmarkTaskResult parseStream_AverageTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                     org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                              throws Throwable

      Throws:
        `Throwable`

    - #### parseStream_avgt_jmhStub

          public static void parseStream_avgt_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                      org.openjdk.jmh.results.RawResults result,
                                                      org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                      org.openjdk.jmh.infra.IterationParams iterationParams,
                                                      org.openjdk.jmh.infra.ThreadParams threadParams,
                                                      org.openjdk.jmh.infra.Blackhole blackhole,
                                                      org.openjdk.jmh.infra.Control notifyControl,
                                                      int startRndMask,
                                                      JSONLDParserBenchmark_jmhType l_jsonldparserbenchmark0_G)
                                               throws Throwable

      Throws:
        `Throwable`

    - #### parseStream_SampleTime

          public org.openjdk.jmh.results.BenchmarkTaskResult parseStream_SampleTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                    org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                             throws Throwable

      Throws:
        `Throwable`

    - #### parseStream_sample_jmhStub

          public static void parseStream_sample_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                        org.openjdk.jmh.results.RawResults result,
                                                        org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                        org.openjdk.jmh.infra.IterationParams iterationParams,
                                                        org.openjdk.jmh.infra.ThreadParams threadParams,
                                                        org.openjdk.jmh.infra.Blackhole blackhole,
                                                        org.openjdk.jmh.infra.Control notifyControl,
                                                        int startRndMask,
                                                        org.openjdk.jmh.util.SampleBuffer buffer,
                                                        int targetSamples,
                                                        long opsPerInv,
                                                        int batchSize,
                                                        JSONLDParserBenchmark_jmhType l_jsonldparserbenchmark0_G)
                                                 throws Throwable

      Throws:
        `Throwable`

    - #### parseStream_SingleShotTime

          public org.openjdk.jmh.results.BenchmarkTaskResult parseStream_SingleShotTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                        org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                 throws Throwable

      Throws:
        `Throwable`

    - #### parseStream_ss_jmhStub

          public static void parseStream_ss_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                    org.openjdk.jmh.results.RawResults result,
                                                    org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                    org.openjdk.jmh.infra.IterationParams iterationParams,
                                                    org.openjdk.jmh.infra.ThreadParams threadParams,
                                                    org.openjdk.jmh.infra.Blackhole blackhole,
                                                    org.openjdk.jmh.infra.Control notifyControl,
                                                    int startRndMask,
                                                    int batchSize,
                                                    JSONLDParserBenchmark_jmhType l_jsonldparserbenchmark0_G)
                                             throws Throwable

      Throws:
        `Throwable`